### Property

# Ide Buffer:has-diagnostics

#### Declaration

    property has-diagnostics: gboolean [ read ]

#### Description

The “has-diagnostics” property denotes that there are a non-zero number of diangostics registered for the buffer.

Type: | `gboolean`
Available since: | 3.32

Getter method | `ide_buffer_has_diagnostics()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no